package com.zd.common.core.echarts;

import com.zd.common.core.echarts.enums.SerieType;

import java.util.List;

/**
 * @Author: zhoupan
 * @Date: 2021/09/13/11:26
 * @Description:
 */
public class Serie<T> {

    private String name;

    private SerieType type;

    private List<T> data;

    private List<String> radius;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public SerieType getType() {
        return type;
    }

    public void setType(SerieType type) {
        this.type = type;
    }

    public List<T> getData() {
        return data;
    }

    public void setData(List<T> data) {
        this.data = data;
    }

    public List<String> getRadius() {
        return radius;
    }

    public void setRadius(List<String> radius) {
        this.radius = radius;
    }
}
